curl --request GET \
--url https://api.flutterwave.com/v3/chargebacks \
--header 'Authorization: Bearer <token>'{
"status": "success",
"message": "Chargebacks fetched",
"meta": {
"page_info": {
"total": 1,
"current_page": 1,
"total_pages": 1,
"page_size": 20
}
},
"data": [
{
"id": 1390,
"amount": 100,
"flw_ref": "URF_1600800139900_3999635",
"status": "lost",
"stage": "new",
"comment": "This is the payment",
"meta": {
"uploaded_proof": null,
"history": [
{
"initiator": "dispute",
"date": "2020-09-22T07:01:28.000Z",
"description": "Dispute transaction"
},
{
"action": "initiated",
"stage": "new",
"date": "2020-09-22T07:05:02.000Z",
"description": "Debit and hold chargeback amount",
"source": "availablebalance"
},
{
"action": "lost",
"stage": "new",
"date": "2020-09-23T04:03:05.000Z",
"description": "No merchant response"
}
]
},
"due_date": "2020-09-23T15:59:59.000Z",
"settlement_id": "N/A",
"created_at": "2020-09-22T19:01:28.000Z",
"transaction_id": 1554166,
"tx_ref": "10"
}
]
}curl --request GET \
--url https://api.flutterwave.com/v3/chargebacks \
--header 'Authorization: Bearer <token>'{
"status": "success",
"message": "Chargebacks fetched",
"meta": {
"page_info": {
"total": 1,
"current_page": 1,
"total_pages": 1,
"page_size": 20
}
},
"data": [
{
"id": 1390,
"amount": 100,
"flw_ref": "URF_1600800139900_3999635",
"status": "lost",
"stage": "new",
"comment": "This is the payment",
"meta": {
"uploaded_proof": null,
"history": [
{
"initiator": "dispute",
"date": "2020-09-22T07:01:28.000Z",
"description": "Dispute transaction"
},
{
"action": "initiated",
"stage": "new",
"date": "2020-09-22T07:05:02.000Z",
"description": "Debit and hold chargeback amount",
"source": "availablebalance"
},
{
"action": "lost",
"stage": "new",
"date": "2020-09-23T04:03:05.000Z",
"description": "No merchant response"
}
]
},
"due_date": "2020-09-23T15:59:59.000Z",
"settlement_id": "N/A",
"created_at": "2020-09-22T19:01:28.000Z",
"transaction_id": 1554166,
"tx_ref": "10"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?